/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.management.j2ee;

/**
 * MBean interface.
 * @todo When all components of a J2EEApplication is state manageable this have to be too !!
 */
public interface J2EEApplicationMBean extends org.jboss.management.j2ee.J2EEDeployedObjectMBean
{

   java.lang.String[] getmodules();

   java.lang.String getmodule(int pIndex);

   void addChild(javax.management.ObjectName pChild);

   void removeChild(javax.management.ObjectName pChild);

}
